summary refs log tree commit diff
path: root/lib1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lib1.sh')
-rw-r--r--lib1.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/lib1.sh b/lib1.sh
index 5881a9a..9605656 100644
--- a/lib1.sh
+++ b/lib1.sh
@@ -1,4 +1,4 @@
-set -e 
+set -e
 
 pre_fetch() { :; }
 do_fetch() {
@@ -73,3 +73,8 @@ verbose() {
   printf "=> %s\n" "$*"
   "$@"
 }
+
+error() {
+  printf "=> ERROR! %s\n" "$*" 2>&1
+  exit 111
+}